Name:		gtkdialogs
Version:	2.2
Release:	%mkrel 4
Source:		%name-%version.tar.bz2
Patch0:		gtkdialogs-2.2-fix-str-fmt.patch
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Ready-to-use GTK+ dialog boxes
Provides:	gchooser gmessage xtest
Group:		System/Configuration/Packaging
BuildRequires:	gtk+2-devel

%description
Ready-to-use GTK+ dialog boxes:
- xtest lets you test if X is running or not
- gmessage show a message and some buttons, it returns with the number of the
  pressed button
- gchooser presents a list of entries from which the user can choose
- gfilechooser helps choosing a filename or dirname

%prep
%setup -n %{name} -q
%patch0 -p0

%build
make clean
%make CFLAGS="%{optflags} %{?ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*




%changelog
* Tue Apr 07 2009 Funda Wang <fundawang@mandriva.org> 2.2-4mdv2009.1
+ Revision: 365032
- fix str fmt

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2-4mdv2009.0
+ Revision: 221112
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2-3mdv2008.1
+ Revision: 150246
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Adam Williamson <awilliamson@mandriva.org> 2.2-2mdv2008.0
+ Revision: 48481
- rebuild for 2008


* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 14:05:25 (58305)
- move from /usr/X11R6/bin to /usr/bin

* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 13:57:21 (58300)
- Import gtkdialogs

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 2.1-3
- rebuild for png
- %%mkrel

* Thu Oct 13 2005 Pixel <pixel@mandriva.com> 2.1-2mdk
- rebuild

* Mon Feb 09 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1-1mdk
- add gfilechooser
- gmessage: allow to have a comma in buttons, when it's backslashed

